//
//  HCNavigationBar.h
//  Painter
//
//  Created by qinyulun on 15/6/22.
//  Copyright (c) 2015年 贵州蜂巢科技发展有限责任有限公司. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSInteger const bNavigationBar_LeftTag;
extern NSInteger const bNavigationBar_RightTag;
extern NSInteger const bNavigationBar_RightTwoTag;
extern NSInteger const SPACE ;

typedef enum {
    NavBarTitleShadowStyleDefault,
    NavBarTitleShadowStyleReserve1,
    NavBarTitleShadowStyleReserve2
} NavBarTitleShadowStyle;

@interface HCNavigationBar : NSObject

//自定义左边按钮
+ (void)setNavigationBarLeftButton:(UIViewController *)viewController withBtnNormalImg:(UIImage *)normalImage withBtnPresImg:(UIImage *)pressImage withTitle:(NSString *)title withAction:(SEL)action;
//自定义右边按钮
+ (void)setNavigationBarRightButton:(UIViewController *)viewController withBtnNormalImg:(UIImage *)normalImage withBtnPresImg:(UIImage *)pressImage withTitle:(NSString *)title withAction:(SEL)action;

// 自定义左边的按钮加上禁用的图片显示
+ (void)setNavigationBarLeftButton:(UIViewController *)viewController withBtnNormalImg:(UIImage *)normalImage withBtnPresImg:(UIImage *)pressImage withBtnEnableImg:(UIImage *)enableImg withTitle:(NSString *)title withAction:(SEL)action;

//标题
+(void) setNavigationTitle:(UIViewController *) viewController
                 withTitle:(NSString *) title;
+(void) setNavigationTitle:(UIViewController *) viewController
                 withTitleviews:(UIImage*) image;
+(void) setNavigationTitle:(UIViewController *)viewController withTitle:(NSString *)title titleShadowStyle:(NavBarTitleShadowStyle)titleShadowStyle;

//自定义右边带禁用图片的按钮
+ (void)setNavigationBarRightButton:(UIViewController *)viewController withBtnNormalImg:(UIImage *)normalImage withBtnPresImg:(UIImage *)pressImage withEnabledImage:(UIImage *)enabledImage withTitle:(NSString *) title withAction:(SEL)action;
//自定义右边带禁用图片的按钮,字体居中
+ (void)setNavigationBarRightButtonTitleCenter:(UIViewController *)viewController withBtnNormalImg:(UIImage *)normalImage withBtnPresImg:(UIImage *)pressImage withEnabledImage:(UIImage *)enabledImage withTitle:(NSString *) title withAction:(SEL)action;

//自定义右边带禁用图片的按钮
+ (void)setNavigationBarRightView:(UIViewController *)viewController
              withBtnNormalImgOne:(UIImage *)normalImage1
                withBtnPresImgOne:(UIImage *)pressImage1
              withBtnNormalImgTwo:(UIImage *)normalImage2
                withBtnPresImgTwo:(UIImage *)pressImage2
                     withTitleOne:(NSString *) title1
                     withTitleTwo:(NSString *)title2
                    withActionOne:(SEL)action1;

//自定义右边按钮(两个按钮)
+ (void)setNavigationBarRightButtons:(UIViewController *)viewController
                 withBtnNormalImgOne:(UIImage *)normalImage1
                   withBtnPresImgOne:(UIImage *)pressImage1
                 withBtnNormalImgTwo:(UIImage *)normalImage2
                   withBtnPresImgTwo:(UIImage *)pressImage2
                        withTitleOne:(NSString *) title1
                        withTitleTwo:(NSString *)title2
                       withActionOne:(SEL)action1
                       withActionTwo:(SEL)action2;

@end
